package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformIllegalVideo;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformIllegalVideoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformIllegalVideoMapper {
    long countByExample(ContentPlatformIllegalVideoExample example);

    int deleteByExample(ContentPlatformIllegalVideoExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformIllegalVideo record);

    int insertSelective(ContentPlatformIllegalVideo record);

    List<ContentPlatformIllegalVideo> selectByExampleWithBLOBs(ContentPlatformIllegalVideoExample example);

    List<ContentPlatformIllegalVideo> selectByExample(ContentPlatformIllegalVideoExample example);

    ContentPlatformIllegalVideo selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformIllegalVideo record, @Param("example") ContentPlatformIllegalVideoExample example);

    int updateByExampleWithBLOBs(@Param("record") ContentPlatformIllegalVideo record, @Param("example") ContentPlatformIllegalVideoExample example);

    int updateByExample(@Param("record") ContentPlatformIllegalVideo record, @Param("example") ContentPlatformIllegalVideoExample example);

    int updateByPrimaryKeySelective(ContentPlatformIllegalVideo record);

    int updateByPrimaryKeyWithBLOBs(ContentPlatformIllegalVideo record);

    int updateByPrimaryKey(ContentPlatformIllegalVideo record);
}